﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DotNetNuclear.Modules.ClientCentric.Entities;

namespace DotNetNuclear.Modules.ClientCentric.Components
{
    public interface IItemRepository
    {
        ///<summary>
        ///</summary>
        void ClearCache(int moduleid);

        ///<summary>
        ///</summary>
        int CreateItem(IItemModel t);

        ///<summary>
        ///</summary>
        void DeleteItem(int itemId, int moduleId);

        ///<summary>
        ///</summary>
        IEnumerable<IItemModel> GetItems(int moduleId);

        ///<summary>
        ///</summary>
        IItemModel GetItem(int itemId, int moduleId);

        ///<summary>
        ///</summary>
        void UpdateItem(IItemModel t);
    }
}
